/*
 * SeriesColor.java
 *
 * Created on September 27, 2006, 12:40 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package it.businesslogic.ireport.chart;

/**
 *
 * @author gtoffoli
 */
public class SeriesColor implements Comparable {
    
    private int seriesOrder = 1;
    private java.awt.Color color = null;
    /** Creates a new instance of SeriesColor */
    public SeriesColor() {
    }

    public java.awt.Color getColor() {
        return color;
    }

    public void setColor(java.awt.Color color) {
        this.color = color;
    }

    public int getSeriesOrder() {
        return seriesOrder;
    }

    public void setSeriesOrder(int seriesOrder) {
        this.seriesOrder = seriesOrder;
    }

    public int compareTo(Object o) {
        
        if (o instanceof SeriesColor)
        {
            SeriesColor sc = (SeriesColor)o;
            
            return getSeriesOrder() - sc.getSeriesOrder();
        }
        
        return 0;
    }
    
}
